One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Futures
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Client ID
      GET
    • Get Order by Order ID
      GET
    • Balances
      GET
    • Subaccounts
      GET
    • Fees
      GET
    • Get Trades for Order
      GET
    • Get Trade by Trade ID
      GET
    • Get Trades
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Get Futures Open Positions
      GET
    • Futures Portfolio Summary
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Funding Schedule
      GET
  • Funding
    • Transfer Subaccount Balance
      POST
    • Get Transactions
      GET
  1. Futures

Position Funding Payments

Developing
GET
https://api.onetrading.com/fast/v1/account/futures/positions/{position_id}/funding-payments
Returns an array of funding payment records for the specified position, sorted by timestamp in ascending order (oldest first). The endpoint is not paginated and returns at most 1,000 records. An unknown position ID returns an empty list.
Authentication: Bearer token; any valid API key (no specific scope required). This endpoint is rate-limited.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.onetrading.com/fast/v1/account/futures/positions/2111199765938682/funding-payments' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success Example
{
    "funding_payments": [
        {
            "account_id": "aaaba8bd-3195-4f72-87ff-98720a940f23",
            "position_id": "2111199765938682",
            "instrument_code": "BTC_USD_P",
            "funding_rate": "0.0000179038",
            "mark_price": "89925.04",
            "funding_payment": "-0.0161",
            "cash_balance": "106882.4305",
            "time": "2026-01-28T12:00:01.054379456Z"
        },
        {
            "account_id": "aaaba8bd-3195-4f72-87ff-98720a940f23",
            "position_id": "2111199765938682",
            "instrument_code": "BTC_USD_P",
            "funding_rate": "0.0000179029",
            "mark_price": "89390.01",
            "funding_payment": "-0.0144",
            "cash_balance": "106655.4032",
            "time": "2026-01-28T16:00:01.055094817Z"
        },
        {
            "account_id": "aaaba8bd-3195-4f72-87ff-98720a940f23",
            "position_id": "2111199765938682",
            "instrument_code": "BTC_USD_P",
            "funding_rate": "0.0000179051",
            "mark_price": "89361.93",
            "funding_payment": "-0.0144",
            "cash_balance": "106628.0604",
            "time": "2026-01-28T20:00:01.055392483Z"
        }
    ]
}
Previous
Positions
Next
Funding Rate Settings
Built with